Package org.pushingpixels.substance.internal.utils.scroll

# Class SubstanceScrollPaneBorder

java.lang.Object
org.pushingpixels.substance.internal.utils.scroll.SubstanceScrollPaneBorder

All Implemented Interfaces:
  `Border`, `UIResource`

public class SubstanceScrollPaneBorder extends Object implements Border, UIResource
Default border on `JScrollPane`s. Provides continuous appearance of the border + scroll bars.

## Constructor Summary

Constructors
Constructor
Description
`SubstanceScrollPaneBorder()`

## Method Summary

Modifier and Type
Method
Description
`Insets`
`getBorderInsets(Component c)`
`boolean`
`isBorderOpaque()`
`void`
`paintBorder(Component c, Graphics g, int x, int y, int width, int height)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceScrollPaneBorder

public SubstanceScrollPaneBorder()

## Method Details

### getBorderInsets

public Insets getBorderInsets(Component c)

Specified by:
  `getBorderInsets` in interface `Border`

### isBorderOpaque

public boolean isBorderOpaque()

Specified by:
  `isBorderOpaque` in interface `Border`

### paintBorder

public void paintBorder(Component c, Graphics g, int x, int y, int width, int height)

Specified by:
  `paintBorder` in interface `Border`